function drawi(invest,rho,gma)
% draw the impulse response functions of investments%               
% input: irf:IRFs
%        otherparameters used to make text marks.
% Wu,Huabin. November 2, 2008. Revised Apr. 2011.
figure; 
plot(invest(:,2),'b','LineWidth',1.5);hold on;
plot(invest(:,1),'--r','LineWidth',1.5);
text(.382*length(invest),.618*((invest(1,1)+abs(invest(1,2)))/2)+invest(1,2),...
    ['\rho =',num2str(rho),', \gamma=',num2str(gma)],'FontSize',14);
legend('Second order','First order');
xlabel('Periods','fontsize',14);ylabel('Investment','fontsize',14)
set(gca,'fontsize',14);
