function ee=ee1(state,C,S,sig,alf,bta,dlt,eta,tao,k,c,l)
% Euler Equation Errors, first order solution.
% Wu,Huabin. Aug. 2008. Revised Apr. 2011.
syms epsil;
an=S(1,:)*state+sig*epsil;
kn=S(2,:)*state;

staten=[an' kn]'; % next period
cc=C(1,:)*state;  % current period
cn=C(1,:)*staten;
% lc=C(2,:)*state;
ln=C(2,:)*staten+l; % labor
kn=kn+k;
cc=cc+c;cn=cn+c;

t=bta*(alf*exp(an)*exp(kn)^(alf+alf*eta-1)*exp(ln)^((1-alf)*(1+eta))+1-dlt)*exp(cn)^(-tao);

%====replacement using regular expression======>>>>>
integ=char(sym(t*exp(-(epsil)^2/2)/sqrt(2*pi)));
ect=quad(regexprep(integ, '[\/\*\^]','\.$0'),-10,10,1e-10); % add dots for multiplication, division and exponents.
ee=ect^(-1/tao)/exp(cc)-1;