function ee=ee2(state,CS2,SS2,C,S,Cs2,Ss2,sig,alf,bta,dlt,eta,tao,k,c,l)
% Euler Equation Errors
% Wu,Huabin. Aug. 2008. Revised Apr. 2011.
syms epsil;
an1=S(1,:)*state+sig*epsil;
kn1=S(2,:)*state;

an=an1+.5*state'*SS2(:,:,1)'*state+.5*Ss2(1)*sig^2;
kn=kn1+.5*state'*SS2(:,:,2)'*state+.5*Ss2(2)*sig^2;

staten1=[an1' kn1]';
staten=[an' kn]';
cc=C(1,:)*state+.5*state'*CS2(:,:,1)*state+.5*Cs2(1)*sig^2;
cn=C(1,:)*staten+.5*[an1 kn1]*CS2(:,:,1)*staten1+.5*Cs2(1)*sig^2;
ln=C(2,:)*staten+.5*[an1 kn1]*CS2(:,:,2)*staten1+.5*Cs2(2)*sig^2;
kn=kn+k;
cc=cc+c;
cn=cn+c;
% lc=lc+l;
ln=ln+l;
t=bta*(alf*exp(an)*exp(kn)^(alf+alf*eta-1)*exp(ln)^((1-alf)*(1+eta))+1-dlt)*exp(cn)^(-tao);

%====replacement using regular expression======>>>>>
integ=char(sym(t.*exp(-(epsil).^2/2)/sqrt(2*pi)));
ect=quad(regexprep(integ, '[\/\*\^]','\.$0'),-10,10,1e-10);% add dots for multiplication, division and exponents.
ee=ect^(-1/tao)/exp(cc)-1;