function ee=eei1(state,C,S,sig,alf,bta,dlt,eta,tao,k,c,l)
% Euler Equation Errors with indeterminacy, first order solution.
% Wu,Huabin. Aug. 2008. Revised Apr. 2011.
syms epsil;
an=0;
kn=S(2,:)*state;
cn=S(3,:)*state+sig*epsil;

staten=[an kn cn']';
cc=state(3);
ln=C(1,:)*staten;
kn=kn+k;
cc=cc+c;
cn=cn+c;
ln=ln+l;
t=bta*(alf*exp(an)*exp(kn)^(alf+alf*eta-1)*exp(ln)^((1-alf)*(1+eta))+1-dlt)*exp(cn)^(-tao);

%====nice replacement using regular expression;-)======>>>>>
integ=char(sym(t*exp(-(epsil)^2/2)/sqrt(2*pi)));
ect=quad(regexprep(integ, '[\/\*\^]','\.$0'),-10,10,1e-10);% add dots for multiplication, division and exponents.

ee=ect^(-1/tao)/exp(cc)-1;