function ee=eei2(state, CS2,SS2,C,S,Cs2,Ss2,sig,alf,bta,dlt,eta,tao,k,c,l)
% Euler Equation Errors
% Wu,Huabin. Aug. 2008. Revised Apr. 2011.
syms epsil;
an=0;
kn1=S(2,:)*state;
cn1=S(3,:)*state+sig*epsil;

cc=state(3);
kn=kn1+.5*state'*SS2(:,:,2)'*state+.5*Ss2(2)*sig^2;
cn=cn1+.5*state'*SS2(:,:,3)'*state+.5*Ss2(3)*sig^2;

staten1=[an kn1 cn1']';
staten=[an kn cn']';
ln=C(1,:)*staten+.5*staten1'*CS2(:,:,1)*staten1+.5*Cs2(1)*sig^2;
kn=kn+k;
cc=cc+c;
cn=cn+c;
ln=ln+l;
t=bta*(alf*exp(an)*exp(kn)^(alf+alf*eta-1)*exp(ln)^((1-alf)*(1+eta))+1-dlt)*exp(cn)^(-tao);

%====nice replacement using regular expression;-)======>>>>>
integ=char(sym(t.*exp(-(epsil).^2/2)/sqrt(2*pi)));
ect=quad(regexprep(integ, '[\/\*\^]','\.$0'),-10,10,1e-10);% add dots for multiplication, division and exponents.

ee=ect^(-1/tao)/exp(cc)-1;